> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steadwing.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Agent

> Register a new Steadwing agent instance for autonomous incident response.



## OpenAPI

````yaml POST /api/agents/register
openapi: 3.1.0
info:
  title: RCA FastAPI Backend
  version: 1.0.0
servers:
  - url: https://api.steadwing.com
security: []
paths:
  /api/agents/register:
    post:
      tags:
        - agents
      summary: Register Agent
      description: |-
        Register a new agent. No authentication required.

        Creates a temporary organization, API key, and agent record.
        Returns the API key (shown only once) and a claim URL.
      operationId: register_agent_api_agents_register_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentRegisterRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentRegisterRequest:
      properties:
        source:
          type: string
          maxLength: 50
          minLength: 1
          title: Source
          description: Agent framework source (claude-code, cursor, windsurf)
      type: object
      required:
        - source
      title: AgentRegisterRequest
      description: Request schema for agent self-registration.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````